/*
 * Class PROXY_COMPARABLE [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1931 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1931 [] = {0xFF01,1551,1930,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1931 [] = {0xFF01,1930,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1931 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1931 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1931 [] = {0xFF01,1930,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1931 [] = {0xFF01,1930,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1931 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1931 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1931 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1931 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1931 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1931 [] = {1930,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1931 [] = {0xFF01,1930,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1931 [] = {0xFF01,1930,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1931 [] = {0xFF01,1930,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1931 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1931 [] = {0xFF01,1595,0xFF01,0,0xFF01,0xFFF9,2,840,0xFFF8,1,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1931 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1931[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1931), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1931), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1931), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1931), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1931), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1931), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1931), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1931), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1931), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1931), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1931), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1931), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1931), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1931), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6348, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6338, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1931), 6339, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1931), 6340, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6345, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1931), 6346, 0},
	{EIF_GENERIC(egt_17_1931), 6347, 4},
	{EIF_GENERIC(egt_18_1931), -1, 0xFFFFFFFF},
};
void Init1931(void)
{
	IDSC(desc_1931, 0, 1930);
	IDSC(desc_1931 + 1, 1, 1930);
	IDSC(desc_1931 + 32, 1459, 1930);
	IDSC(desc_1931 + 36, 939, 1930);
	IDSC(desc_1931 + 39, 842, 1930);
}


#ifdef __cplusplus
}
#endif
